tigase.jaxmpp.core.client

## Class BareJID

- java.lang.Object
- - tigase.jaxmpp.core.client.BareJID

- All Implemented Interfaces:
    Comparable<BareJID>

      public class BareJID
      extends Object
      implements Comparable<BareJID>

  XMPP entity address form `<localpart@domainpart>`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `domain`
    `protected String` | `localpart`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BareJID(String localpart, String domain)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BareJID` | `bareJIDInstance(String jid)` Creates instance of `BareJID`.
    `static BareJID` | `bareJIDInstance(String p_localpart, String p_domain)` Creates instance of `BareJID`.
    `int` | `compareTo(BareJID o)`
    `boolean` | `equals(Object obj)`
    `String` | `getDomain()` Return domainpart.
    `String` | `getLocalpart()` Return localpart.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### domain

          protected final String domain

    - #### localpart

          protected final String localpart

  - ### Constructor Detail

    - #### BareJID

          protected BareJID(String localpart,
                            String domain)

  - ### Method Detail

    - #### bareJIDInstance

          public static BareJID bareJIDInstance(String jid)

      Creates instance of `BareJID`.
      Parameters:
        `jid` - string contains full JID or bare JID
      Returns:
        bare JID

    - #### bareJIDInstance

          public static BareJID bareJIDInstance(String p_localpart,
                                                String p_domain)

      Creates instance of `BareJID`.
      Parameters:
        `p_localpart` - localpart
        `p_domain` - domainpart
      Returns:
        bare JID

    - #### compareTo

          public int compareTo(BareJID o)

      Specified by:
        `compareTo` in interface `Comparable<BareJID>`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getDomain

          public String getDomain()

      Return domainpart.
      Returns:
        domainpart

    - #### getLocalpart

          public String getLocalpart()

      Return localpart.
      Returns:
        localpart

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.